Skip to main content
POST
/
telephony
/
numbers
/
unassign
Unassign Phone Number
curl --request POST \
  --url https://api.truedy.ai/api/public/v1/telephony/numbers/unassign \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "number_id": "num_11111111-1111-1111-1111-111111111111",
  "assignment_type": "inbound"
}
'
{
  "data": {
    "number": "+18005559876",
    "agent_id": null,
    "unassigned_at": "2026-04-05T10:22:00Z"
  },
  "meta": {
    "request_id": "req_32e7531c",
    "ts": "2026-04-05T10:22:00Z"
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header: Bearer <your_api_key>

Body

application/json
number_id
string
required

Phone number UUID

Example:

"num_11111111-1111-1111-1111-111111111111"

assignment_type
enum<string>
required

Type of assignment to remove

Available options:
inbound,
outbound
Example:

"inbound"

Response

Phone number unassigned successfully